/*

  Flame Sensor Module (Digital)

  Parts required:
  - Arduino Board
  - Flame Sensor Module
  - LED (Any Color)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int ledPin = 8;
int digitalReadPin = 7;
int digitalReadValue;
int checkState = 0;

void setup() {
  pinMode(ledPin, OUTPUT);                        // Set ledPin as OUTPUT
  pinMode(digitalReadPin, INPUT);                 // Set digitalReadPin as INPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin); // Read value of digitalReadPin and store in digitalReadValue

  if (digitalReadValue == HIGH) {                 // If digitalReadValue == HIGH
    digitalWrite(ledPin, HIGH);                   // Turn ON LED
  }
  else {
    digitalWrite(ledPin, LOW);                    // Turn OFF LED
  }

}
